Module | Sequel::IBMDB
In: | lib/sequel/adapters/ibmdb.rb

### Methods

boolean int

### Classes and Modules

Class Sequel::IBMDB::Connection
Class Sequel::IBMDB::Database
Class Sequel::IBMDB::Dataset
Class Sequel::IBMDB::Statement

### Constants

DB2_TYPES | = | { :boolean => tt.method(:boolean), :int => tt.method(:int), :blob => ::Sequel::SQL::Blob.method(:new), :time => ::Sequel.method(:string_to_time), :date => ::Sequel.method(:string_to_date) |  | Hash holding type translation methods, used by Dataset#fetch_rows.

### Attributes

convert_smallint_to_bool | [RW] | Whether to convert smallint values to bool, true by default. Can also be overridden per dataset.

### Public Instance methods

boolean(s)

[Source]

        # File lib/sequel/adapters/ibmdb.rb, line 16
    16:       def boolean(s) !s.to_i.zero? end

int(s)

[Source]

        # File lib/sequel/adapters/ibmdb.rb, line 17
    17:       def int(s) s.to_i end

[Validate]